Skip to main content
`Ctrl`+`K`

# DMPlexTransformGetDM

Get the base `DM` for the transform

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformGetDM(DMPlexTransform tr, DM *dm)

## Input Parameter

- tr - The `DMPlexTransform` object

## Output Parameter

- dm - The original `DM` which will be transformed

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPlexTransformSetDM()`, `DMPlexTransformApply()`, `DMPlexTransformCreate()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/interface/plextransform.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages